define(['zepto','medtap'],function($,medtap){
	var questionnaireDetails = {
		wechatId:medtap.getRequest('wechatId'),
		// 问卷id
    followUpId: medtap.getRequest('followUpId'),
    // 问卷详情的答案
    queDetailsList:{
    },
    // 5题子选项
    checksList:[],
    // 14题子选项
    checkList:[],
		init:function(){
      questionnaireDetails.getWechatTicket()
      questionnaireDetails.getQueDetails()
      questionnaireDetails.pageRendering()
    },
    getQueDetails:function(){
      medtap.submitAjax({
        url: "https://testdevgw.medtap.cn/operation/followUp/followUpDetail",
        type: 'post',
        async: false,
        contentType: 'application/json',
        data: {
          "followUpId": questionnaireDetails.followUpId
        },
        success: function(res) {
          console.log(res)
          if(!res.success) return medtap.winPop('获取数据失败')
          questionnaireDetails.queDetailsList = res.content.followUpAnswer
          var mouthTime = res.content.followUpUser.answerTime.split('-')[1]
          $('.queDetails_header .queDetails_header_title').text(mouthTime+'月随访问卷')  
        }
      })
    },
    // 处理数据
    pageRendering:function(){
      for(var key in questionnaireDetails.queDetailsList){
       switch(key){ 
        case 'question1':
          var height_g = questionnaireDetails.queDetailsList[key].height/100;
          var height_t = height_g*height_g;
          var weight_g = questionnaireDetails.queDetailsList[key].weight;
          var bmi = parseInt(weight_g/height_t);
          var html1 = '<div class="height">'+
                        '<p class="height_title">身高(cm)</p>'+
                        '<p class="height_text">'+ questionnaireDetails.queDetailsList[key].height +'</p>'+
                      '</div>'+
                      '<div class="weight">'+
                        '<p class="weight_title">体重(kg)</p>'+
                        '<p class="weight_text">'+questionnaireDetails.queDetailsList[key].weight+'</p>'+
                      '</div>'+
                      '<div class="bmi">'+
                        '<p class="bmi_title">BMI</p>'+
                        '<p class="bmi_text">'+bmi+'</p>'+
                      '</div>';
          $('.question_one').append(html1)
          break;
          case 'question2':
          if(questionnaireDetails.queDetailsList[key].status=='1'){
           
            var html = '<div class="que_title">复诊情况</div>'+
                          '<div class="que_content">'+
                            '<p class="que_content_title">近一个月有进行复诊</p>'+
                            '<div class="que_content_body">'+
                              '<p class="body_title">医生对疗效的判断:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].judge+'</p>'+
                            '</div>'+
                            '<div class="que_content_body">'+
                              '<p class="body_title">转移部位:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].movePositionVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body question_two_img">'+
                              '<p class="body_title">病历、影像图片：</p>'+
                              '<ul class="body_img">'+
                                
                              '</ul>'+
                            '</div>'+
                        '</div>'
              $('.question_two').append(html)
              var imglist = questionnaireDetails.queDetailsList[key].imgKey
              if(imglist.length>0){
                var htmli = ''
                for(var i=0;i<imglist.length;i++){
                  htmli +=  '<li>'+
                                '<img src="'+imglist[i]+'" alt="">'+
                            '</li>'
                }
                $('.question_two .body_img').append(htmli)
              }
              if(imglist.length==0){
                $('.question_two .question_two_img').remove()
              }
          }else if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html = '<div class="que_title">复诊情况</div>'+
                          '<div class="que_content">'+
                          '<p class="que_content_title">近一个月未复诊</p>'+
                        '</div>'
            $('.question_two').append(html)              
          }
          break;
          case 'question3':
          if(questionnaireDetails.queDetailsList[key].status=='1'){
             var html ='<div class="que_title">奥希替尼治疗情况</div>'+
                        '<div class="que_content que_content_push">'+
                          '<p class="que_content_title">正在接受包含奥希替尼的治疗</p>'+
                          '<div class="que_content_body">'+
                            '<p class="body_title">使用的奥希替尼：</p>'+
                            '<p class="body_content">'+questionnaireDetails.queDetailsList[key].drugTypesVal+'</p>'+
                          '</div>'+
                         
                        '</div>'
              $('.question_three').append(html)    
          }else if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html = '<div class="que_title">奥希替尼治疗情况</div>'+
                            '<div class="que_content">'+
                              '<p class="que_content_title">近一个月未接受包含奥希替尼的治疗</p>'+
                              '<div class="que_content_body">'+
                                '<p class="body_title">停药时间：</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].stopTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body">'+
                                '<p class="body_title">停药原因:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].stopCauseVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body_next">'+
                               
                                '<p class="body_title body_title_no">未开始下一步治疗</p>'+
                              '</div>'+
                            '</div>'
                $('.question_three').append(html)
                if(questionnaireDetails.queDetailsList[key].isNextVal=='是'){
                  var html3 =  '<p class="body_title">已开始下一步治疗，治疗方案：</p>'+
                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].programme||''+'</p>'
                  $('.question_three .que_content_body_next').append(html3)
                  $('.question_three .que_content_body .body_title_no').remove()
                }
          }
          break;
          case 'question4':
          var html = '<div class="que_content_body">'+
                        '<p class="body_title">正在联合其他治疗:</p>'+
                        '<p class="body_content">'+questionnaireDetails.queDetailsList[key].treatmentTypeVal+'</p>'+
                      '</div>'+
                      '<div class="que_content_body">'+
                        '<p class="body_title">具体疗法或药物：</p>'+
                        '<p class="body_content">'+questionnaireDetails.queDetailsList[key].specificTherapy+'</p>'+
                      '</div>'
                $('.que_content_push').append(html)
          break;
          case 'question5':
          questionnaireDetails.checksList = questionnaireDetails.queDetailsList[key].checks.split(",")
          if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html = '<div class="que_title">检验检查情况</div>'+
                        '<div class="que_content">'+
                          '<p class="que_content_title">近一个月未做过以下检验检查</p>'+
                          '<p class="body_content">血常规 / 肝功能 / 肾功能；胸透/胸部x线；CT；MRI</p>'+
                        '</div>'
              $('.question_four').append(html)             
          }else if(questionnaireDetails.queDetailsList[key].status=='1'){
            
            $('.question_four .que_title_isHide').show() 
          }
          break;
          case 'question6':
            
              var html6 =  '<div class="que_content">'+
                              '<p class="que_content_title left_line">血常规、肝功能、肾功能</p>'+
                              '<div class="que_content_body question_four_img6">'+
                                '<p class="body_title">报告单：</p>'+
                                '<ul class="body_img ">'+
                                    
                                 '</ul>'+
                              '</div>'+
                              '<div class="que_content_body top_margin que_content_bot6">'+
                                '<p class="body_title">医生对检查结果的说明:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>';
          $('.question_four').append(html6)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot6').remove()
          }
          break;
          case 'question7':
             
            var html7 ='<div class="que_content">'+
              '<p class="que_content_title left_line">胸透/胸部X线</p>'+
              '<div class="que_content_body question_four_img7">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img>'+
                    
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body top_margin que_content_bot7">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question_four').append(html7)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img7').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot7').remove()
          }
          break;
          case 'question8':
            
            var html8 =  '<div class="que_content">'+
              '<p class="que_content_title left_line">CT</p>'+
              '<div class="que_content_body question_four_img8">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img">'+
                   
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body top_margin que_content_bot8">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question_four').append(html8)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img8').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot8').remove()
          }
          break;
          case 'question9':
            
            var html9 = '<div class="que_content">'+
              '<p class="que_content_title left_line">MRI</p>'+
              '<div class="que_content_body question_four_img9">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img ">'+
                   
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body top_margin que_content_bot9">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question_four').append(html9)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img9').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot9').remove()
          }
          break;
          case 'question10':
             
            var html10 = '<div class="que_content">'+
              '<p class="que_content_title left_line">PET-CT</p>'+
              '<div class="que_content_body question_four_img10">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img ">'+
                    
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body top_margin que_content_bot10">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question_four').append(html10)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img10').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot10').remove()
          }
          break;
          case 'question11':
               
             
            var html11 ='<div class="que_content">'+
              '<p class="que_content_title left_line">骨扫描</p>'+
              '<div class="que_content_body question_four_img11">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img ">'+
                    
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body top_margin que_content_bot11">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question_four').append(html11)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img11').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot11').remove()
          }
          break;
          case 'question12':
               
             
            var html12 ='<div class="que_content">'+
              '<p class="que_content_title left_line">病理</p>'+
              '<div class="que_content_body question_four_img12">'+
                '<p class="body_title">报告单：</p>'+
                '<ul class="body_img ">'+
                   
                 '</ul>'+
              '</div>'+
              '<div class="que_content_body top_margin que_content_bot12">'+
                '<p class="body_title">医生对检查结果的说明:</p>'+
                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
              '</div>'+
            '</div>';
          $('.question_four').append(html12)
          if(questionnaireDetails.queDetailsList[key].checkImgList.length==0){
            $('.question_four .question_four_img12').remove()
          }else if(questionnaireDetails.queDetailsList[key].checkImgList.length>0){
            var html = '';
            for(var i=0;i<questionnaireDetails.queDetailsList[key].checkImgList.length;i++){
              html += '<li>'+
                            '<img src="'+questionnaireDetails.queDetailsList[key].checkImgList[i]+'" alt="">'+
                      '</li>'
            }
            $('.question_four_img').append(html)
          }
          if(questionnaireDetails.queDetailsList[key].dataText==''){
            $('.que_content_bot12').remove()
          }
          break;
          case 'question13':
               
          if(questionnaireDetails.queDetailsList[key].status=='0'){
            var html ='<div class="que_title">基因检测情况</div>'+
                      '<div class="que_content">'+
                        '<p class="que_content_title">近一个月未做过基因检测</p>'+
                      '</div>'
                      $('.question_five').append(html)
                     
          }else if(questionnaireDetails.queDetailsList[key].status=='1'){
            console.log('1')
            var html ='<div class="que_title">基因检测情况</div>'+
                      '<div class="que_content">'+
                        '<p class="que_content_title">EGFR'+questionnaireDetails.queDetailsList[key].EGFRval+'，'+questionnaireDetails.queDetailsList[key].positionVal+'</p>'+
                        '<div class="que_content_body question_five_img13">'+
                          '<p class="body_title">基因检测报告：</p>'+
                          '<ul class="body_img ">'+
                             
                            '</ul>'+
                        '</div>'+
                        '<div class="que_content_body top_margin que_content_bot13">'+
                          '<p class="body_title">医生对检查结果的说明:</p>'+
                          '<p class="body_content">'+questionnaireDetails.queDetailsList[key].testDescription+'</p>'+
                        '</div>'+
                      '</div>'
            $('.question_five').append(html)
            var imglist = questionnaireDetails.queDetailsList[key].imgList
            if(imglist.length>0){
              var htmli = ''
              for(var i=0;i<imglist.length;i++){
                htmli +=  '<li>'+
                              '<img src="'+imglist[i]+'" alt="">'+
                          '</li>'
              }
              $('.question_five .body_img').append(htmli)
            }
            if(imglist.length==0){
              $('.question_five .question_five_img13').remove()

            }
            if(questionnaireDetails.queDetailsList[key].testDescription==''){
              $('.question_five .que_content_bot13').remove()
            }
          }
          break;
          case 'question14':
             
              questionnaireDetails.checkList = questionnaireDetails.queDetailsList[key].checks.split(",")
              if(questionnaireDetails.queDetailsList[key].status=='0'){
                var html14 = '<div class="que_content">'+
                                '<p class="que_content_title">近一个月没有不适症状</p>'+
                              '</div>'
                            
                  $('.question_six').append(html14)             
              }
          break;
          case 'question15':
             var html15 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">疲劳</p>'+
                              '<div class="que_content_body">'+
                                '<p class="body_title body_title15">症状级别 ：</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body15">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body15">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content15_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                $('.question_six').append(html15)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title15').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body15').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body15').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content15_body').remove()
                }
          break;
          case 'question16':
            var html16 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">发热</p>'+
                            '<div class="que_content_body body_title16">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body16">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body16">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content16_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
               $('.question_six').append(html16)
               if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                $('.body_title16').remove()
              }
              if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                $('.que_content_body16').remove()
              }
              if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                $('.content_body16').remove()
              }
              if(questionnaireDetails.queDetailsList[key].dataText==''){
                $('.content16_body').remove()
              }
          break;
          case 'question17':
            var html17 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">痤疮样皮疹</p>'+
                            '<div class="que_content_body body_title17">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body17">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body17">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content17_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
             $('.question_six').append(html17)
             if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
              $('.body_title17').remove()
            }
            if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
              $('.que_content_body17').remove()
            }
            if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
              $('.content_body17').remove()
            }
            if(questionnaireDetails.queDetailsList[key].dataText==''){
              $('.content17_body').remove()
            }
          break;
          case 'question18':
            var html18 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">手足综合征</p>'+
                            '<div class="que_content_body body_title18">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body18">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body18">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content18_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
             $('.question_six').append(html18)
             if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
              $('.body_title18').remove()
            }
            if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
              $('.que_content_body18').remove()
            }
            if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
              $('.content_body18').remove()
            }
            if(questionnaireDetails.queDetailsList[key].dataText==''){
              $('.content18_body').remove()
            }
          break;
          case 'question19':
            var html19 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">腹泻</p>'+
                            '<div class="que_content_body body_title19">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body19">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body19">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content19_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
              $('.question_six').append(html19)
              if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                $('.body_title19').remove()
              }
              if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                $('.que_content_body19').remove()
              }
              if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                $('.content_body19').remove()
              }
              if(questionnaireDetails.queDetailsList[key].dataText==''){
                $('.content19_body').remove()
              }
          break;
          case 'question20':
            var html20 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">便秘</p>'+
                            '<div class="que_content_body body_title20">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body20">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body20">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content20_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html20)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title20').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body20').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body20').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content20_body').remove()
                }
          break;
          case 'question21':
            var html21 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">腹胀</p>'+
                            '<div class="que_content_body body_title21">'+
                              '<p class="body_title ">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body21">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body21">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content21_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html21)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title21').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body21').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body21').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content21_body').remove()
                }
          break;
          case 'question22':
            var html22 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">腹痛</p>'+
                            '<div class="que_content_body body_title22">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body22">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body22">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content22_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html22)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title22').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body22').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body22').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content22_body').remove()
                }
          break;
          case 'question23':
            var html23 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">恶心</p>'+
                            '<div class="que_content_body body_title23">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body23">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body23">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content23_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html23)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title23').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body23').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body23').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content23_body').remove()
                }
          break;
          case 'question24':
            var html24 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">呕吐</p>'+
                              '<div class="que_content_body body_title24">'+
                                '<p class="body_title">症状级别 ：</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body24">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body24">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content24_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question_six').append(html24)
                  if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                    $('.body_title24').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.que_content_body24').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.content_body24').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].dataText==''){
                    $('.content24_body').remove()
                  }
          break;
          case 'question25':
            var html25 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">胃痛</p>'+
                            '<div class="que_content_body body_title25">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body25">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body25">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content25_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html25)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title25').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body25').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body25').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content25_body').remove()
                }
          break;
          case 'question26':
            var html26 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">口腔粘膜炎</p>'+
                            '<div class="que_content_body body_title26">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body26">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body26">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content26_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html26)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title26').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body26').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body26').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content26_body').remove()
                }
          break;
          case 'question27':
            var html27 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">咳嗽</p>'+
                              '<div class="que_content_body body_title27">'+
                                '<p class="body_title">症状级别 ：</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body que_content_body27">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body27">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content27_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question_six').append(html27)
                  if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                    $('.body_title27').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.que_content_body27').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.content_body27').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].dataText==''){
                    $('.content27_body').remove()
                  }
          break;
          case 'question28':
            var html28 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">呼吸困难</p>'+
                            '<div class="que_content_body body_title28">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body28">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body28">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content28_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html28)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title28').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body28').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body28').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content28_body').remove()
                }
          break;
          case 'question29':
            var html29 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">脱发</p>'+
                            '<div class="que_content_body body_title29">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body29">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body29">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content29_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html29)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title29').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body29').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body29').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content29_body').remove()
                }
          break;
          case 'question30':
            var html30 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">体重降低</p>'+
                            '<div class="que_content_body body_title30">'+
                              '<p class="body_title">症状级别 ：</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].symptomScoreVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body que_content_body30">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body30">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content30_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html30)
                if(questionnaireDetails.queDetailsList[key].symptomScoreVal==''){
                  $('.body_title30').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body30').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body30').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content30_body').remove()
                }
          break;
          case 'question31':
            var html31 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">头痛头晕</p>'+
                              '<div class="que_content_bodyque_content_body31">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body31">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content31_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question_six').append(html31)
                  
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.que_content_body31').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.content_body31').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].dataText==''){
                    $('.content31_body').remove()
                  }
          break;
          case 'question32':
            var html32 = '<div class="que_content">'+
                              '<p class="que_content_title left_line">四肢麻木</p>'+
                              '<div class="que_content_body que_content_body32">'+
                                '<p class="body_title">发生时间:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content_body32">'+
                                  '<p class="body_title">缓解情况:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                              '</div>'+
                              '<div class="que_content_body content32_body">'+
                                  '<p class="body_title">处理方案:</p>'+
                                  '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                              '</div>'+
                            '</div>'
                  $('.question_six').append(html32)
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.que_content_body32').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                    $('.content_body32').remove()
                  }
                  if(questionnaireDetails.queDetailsList[key].dataText==''){
                    $('.content32_body').remove()
                  }
          break;
          case 'question33':
            var html33 = '<div class="que_content">'+
                            '<p class="que_content_title left_line">其他</p>'+
                            '<div class="que_content_body que_content_body33">'+
                              '<p class="body_title">发生时间:</p>'+
                              '<p class="body_content">'+questionnaireDetails.queDetailsList[key].happenTimeVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content_body33">'+
                                '<p class="body_title">缓解情况:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].isRelieveVal+'</p>'+
                            '</div>'+
                            '<div class="que_content_body content33_body">'+
                                '<p class="body_title">处理方案:</p>'+
                                '<p class="body_content">'+questionnaireDetails.queDetailsList[key].dataText+'</p>'+
                            '</div>'+
                          '</div>'
                $('.question_six').append(html33)
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.que_content_body33').remove()
                }
                if(questionnaireDetails.queDetailsList[key].happenTimeVal==''){
                  $('.content_body33').remove()
                }
                if(questionnaireDetails.queDetailsList[key].dataText==''){
                  $('.content33_body').remove()
                }
          break;
       }
     }
    },
    getWechatTicket: function() {
			medtap.submitAjax({
				url: 'https://testdevgw.medtap.cn/wechat/lung/fetchWechatTicket',
				type: 'GET',
				async: false,
				data: {
					url: window.location.href
				},
				success: function(res) {
					console.log(res)
					var data = res.content;
					wx.config({
						debug: false,
						appId: data.appId, // 必填，公众号的唯一标识
						timestamp: data.timestamp, // 必填，生成签名的时间戳
						nonceStr: data.nonceStr, // 必填，生成签名的随机串
						signature: data.signature, // 必填，签名，见附录1
						jsApiList: [		
							'previewImage'
						]
					})
				}
			})
		},
	
		//图片预览
		previewImage: function() {
			$('.body_img').on('click', 'img', function() {
				var imgArray = [];
				var curImageSrc = $(this).attr('src');
				if (curImageSrc) {
					$('.body_img img').each(function(index, el) {
						var itemSrc = $(this).attr('src');
						imgArray.push(itemSrc);
					});
					wx.previewImage({
						current: curImageSrc,
						urls: imgArray
					});
				}
			});
		}
  }
  questionnaireDetails.init()
  questionnaireDetails.previewImage()
})